Skip to main content
GET
https://api.dintero.com/v1
/
accounts
/
{oid}
/
management
/
users
aid_accounts_aid_mgmnt_users_get
curl --request GET \
  --url https://api.dintero.com/v1/accounts/{oid}/management/users \
  --header 'Authorization: Bearer <token>'
[
  {
    "email": "customer@example.com",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
    "updated_at": "2023-11-07T05:31:56Z",
    "deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
    "deleted_at": "2023-11-07T05:31:56Z",
    "name": "John Doe",
    "scope": [
      "receipts:write"
    ],
    "authentication_type": "<string>",
    "agreement": {
      "name": "<string>",
      "version": "<string>",
      "personal_guarantee_accepted": true,
      "attachments": [
        {
          "name": "Cookie Policy",
          "version": "<string>"
        }
      ]
    },
    "roles": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "scope": [
          "read:accounts",
          "read:billing",
          "admin:shopping"
        ],
        "created_at": "2023-11-07T05:31:56Z",
        "created_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
        "updated_at": "2023-11-07T05:31:56Z",
        "deleted_by": "1c92f7e1-2897-4d46-bdcc-c127a914fb4e",
        "deleted_at": "2023-11-07T05:31:56Z",
        "name": "order support",
        "description": "Administrate orders"
      }
    ],
    "last_seen_at": "2023-11-07T05:31:56Z",
    "configuration": {
      "mfa": {
        "sms": {
          "updated_at": "2023-11-07T05:31:56Z",
          "enabled": true
        },
        "totp": {
          "updated_at": "2023-11-07T05:31:56Z",
          "enabled": true
        }
      }
    }
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication (token authentication) should be used for accessing the API.

Use Get Token to get an access token for client credentials. Pass the token in the request header:

Authorization: Bearer {access_token}

where the access_token is JSON Web Tokens (JWT).

Path Parameters

oid
string<^[PT]{1}(?=(?:.{3}|.{8})$)[0-9]*$>
required

An id that uniquely identifies the account or owner (partner)

Query Parameters

expand
enum<string>[]

Expand properties in the response

Available options:
roles

Search for users by email or name

Response

User collection

email
string
required
Example:

"customer@example.com"

id
string<uuid>
read-only

An UUID that uniquely identifies the resource

created_at
string<date-time>
read-only

The date-time when the resource was created

created_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

updated_at
string<date-time>
read-only

The date-time when the resource was last updated

deleted_by
string
read-only

The ID of the user/client created the resource

Example:

"1c92f7e1-2897-4d46-bdcc-c127a914fb4e"

deleted_at
string<date-time>
read-only
name
string
Example:

"John Doe"

scope
string[]
authentication_type
string
read-only
agreement
object

Defines an terms and conditions agreement between a company or user and Dintero

roles
object[]
last_seen_at
string<date-time>
configuration
object

Account user configurations

Last modified on May 12, 2026